jQuery(document).ready(function(){

	$.fn.fillSelect = function(data) {
		$(this).children('option').remove();
		return this.each(function() {
			if (this.tagName == 'SELECT') {
				var dropdownList = this;
				$.each(data, function(index, optionData) {
				var option = new Option(optionData, index);
					/*if ($.browser.msie) {
						dropdownList.add(option);
					}
				   else {*/
						dropdownList.add(option, null);
				   //}
			   });
		 }
		});
	}
	
	$('input[name="checkall"]').click(function(){
		var isChecked = this.checked;		
		$('input[name="listitems"]').each(function(){
			this.checked = isChecked;
		});
	});
	
	$('#delete-all').submit(function(){
		var checkedItems = $('input[name="listitems"]:checked').length;
		
		if(checkedItems == 0){
			alert(message.selectOne);
			return false;
		}else{
			if(confirm(message.confirmMessage)){
				var chkId = '';
				$('input[name="listitems"]:checked').each(function() {
				  chkId += $(this).val() + ",";
				});
				chkId =  chkId.slice(0,-1);
				$('#deleteAllValue').val(chkId);
				return true;
			}else{
				return false;
			}
		}
		
	});
});

function error404(){
	alert(message.noPage);
}